name: unicblue/card-grid-basic
typeName: unicblue_cardgridbasic
group: hks
prefixFields: true
prefixType: full
fields:
  -
    identifier: headers
    type: Palette
    fields:
      -
        identifier: header
        useExistingField: true
      -
        identifier: header_layout
        useExistingField: true
      -
        identifier: header_position
        useExistingField: true
  -
    identifier: cards
    type: Collection
    labelField: title
    minitems: 1
    maxitems: 6
    fields:
      -
        identifier: icon
        type: Text
        required: true
        default: school
        placeholder: e.g. school, public, description
      -
        identifier: title
        type: Text
        required: true
      -
        identifier: link
        type: Link
  -
    identifier: tab_layout
    type: Tab
    label: 'Layout'
  -
    identifier: tx_hks_container
    type: Select
    useExistingField: true
  -
    identifier: tx_hks_top_accent
    type: Select
    useExistingField: true
  -
    identifier: spacing_palette
    type: Palette
    fields:
      -
        identifier: tx_hks_spacing_top
        type: Select
        useExistingField: true
      -
        identifier: tx_hks_spacing_bottom
        type: Select
        useExistingField: true
